Package com.stardog.stark.query.io

# Class QueryResultWriterOptions

java.lang.Object
com.stardog.stark.query.io.QueryResultWriterOptions

public final class QueryResultWriterOptions extends Object

Options for controlling the `writing` of `query results`

Since:
  1.0
Version:
  1.0
Author:
  Michael Grove

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final Option<Boolean>`
  `INCLUDE_XML_PI`
  Boolean setting for XML Writer to determine whether the XML PI (Processing Instruction) should be printed.
  `static final Option<Iterable<Namespace>>`
  `NAMESPACES`
  Option to specify the `namespaces` that can be used when writing query results
  `static final Option<Boolean>`
  `PRETTY_PRINT`
  Option to specify whether or not SPARQL/XML results should be pretty printed.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static Options`
  `defaults()`
  Return the default parsing options

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### NAMESPACES

    public static final Option<Iterable<Namespace>> NAMESPACES
    Option to specify the `namespaces` that can be used when writing query results

  - ### PRETTY_PRINT

    public static final Option<Boolean> PRETTY_PRINT
    Option to specify whether or not SPARQL/XML results should be pretty printed. Defaults to `false`

  - ### INCLUDE_XML_PI

    public static final Option<Boolean> INCLUDE_XML_PI
    Boolean setting for XML Writer to determine whether the XML PI (Processing Instruction) should be printed. If this setting is disabled the user must have previously printed the XML PI before calling `QueryResultWriter.start()` for the document to be valid XML.

    Defaults to true.

    See Also:
      - RDF/XML specification

- ## Method Details

  - ### defaults

    public static Options defaults()
    Return the default parsing options
    Returns:
      the default options